Page MenuHomeFreeBSD

Document the PCIOCATTACHED ioctl(2) in pci(4)
ClosedPublic

Authored by zeising on Jun 15 2019, 1:08 PM.

Details

Summary

Document the PCIOCATTACHED ioctl(2) in the pci(4) manual page, so that it is easier to find.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

zeising created this revision.Jun 15 2019, 1:08 PM
bcr added a comment.Jun 15 2019, 2:00 PM

Can you bump the .Dd when you commit it for this content change? Do an extra "mandoc -Tlint" and textproc/igor run over the man page just to be sure there is nothing that I missed in my pass. Thank you!

share/man/man4/pci.4
346 ↗(On Diff #58664)

s/aboove/above/

zeising updated this revision to Diff 58670.Jun 15 2019, 2:21 PM

Fixes based on comments from @bcr .
mandoc -Tlint complains a lot about useless macro: Tn for all the .Tn PCI. This style is all over the file, and should probably be changed in a separate pass.

zeising marked an inline comment as done.Jun 15 2019, 2:22 PM
bcr accepted this revision.Jun 15 2019, 2:36 PM

I agree about the second pass for the macros. Good to go then!

This revision is now accepted and ready to land.Jun 15 2019, 2:36 PM
imp added inline comments.Jun 16 2019, 5:45 PM
share/man/man4/pci.4
350 ↗(On Diff #58670)

I think you need to add the word 'fields' before 'are' here.

351 ↗(On Diff #58670)

I'd suggest "The status of the device is stored in" instead of this and the next two lines. The return value of the ioctl(2) call is different and that phrase is likely to cause confusion.

zeising updated this revision to Diff 58712.Jun 16 2019, 6:21 PM

Updates based on comments from @imp and some wordsmithing.

This revision now requires review to proceed.Jun 16 2019, 6:21 PM
zeising marked 2 inline comments as done.Jun 16 2019, 6:21 PM
imp accepted this revision.Jun 17 2019, 3:05 AM
This revision is now accepted and ready to land.Jun 17 2019, 3:05 AM
This revision was automatically updated to reflect the committed changes.